#include "CS_Signboard_Noodle.h"

CS_Signboard_Noodle::CS_Signboard_Noodle()
{
	ani.png = L"CS_CaveStoryMod";
}

void CS_Signboard_Noodle::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_signboard_noodle_open" : L"ls_signboard_noodle_close";
}

std::shared_ptr<Entity> CreateCS_Signboard_Noodle()
{
	return std::make_shared<CS_Signboard_Noodle>();
}
